[Solved] How to install some packages that I cannot find?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
MilitaryG
Level 1
Level 1
Posts: 4
Joined: Thu Aug 07, 2014 1:49 pm

[Solved] How to install some packages that I cannot find?

Post by MilitaryG »

ok I'm trying to get Leadwerks work on Linux Mint.

supported distro is Ubuntu 12.04 64-bit LTS.
http://www.leadwerks.com/werkspace/topi ... for-linux/

but as it's a fork I thought I'd have no problems...


this is what we use to install all dependencies
http://www.leadwerks.com/werkspace/topi ... ll-script/

everything is installed nicelly.

1 problem:
when I run Leadwerks it works if if I press anything file or whatever it crashes like it needs some more packages on witch it relies on:

http://www.leadwerks.com/werkspace/topi ... s-i-think/

Later I found how else could I find some dependencies

Code: Select all

objdump -p /home/military/Programming/LeadWerks/Leadwerks | grep NEEDED
  NEEDED               libX11.so.6
  NEEDED               libXxf86vm.so.1
  NEEDED               libGL.so.1
  NEEDED               libglib-2.0.so.0
  NEEDED               libgtk-x11-2.0.so.0
  NEEDED               libgdk-x11-2.0.so.0
  NEEDED               libpango-1.0.so.0
  NEEDED               libgobject-2.0.so.0
  NEEDED               libopenal.so.1
  NEEDED               libstdc++.so.6
  NEEDED               libm.so.6
  NEEDED               libgcc_s.so.1
  NEEDED               libpthread.so.0
  NEEDED               libc.so.6
  NEEDED               libgdk_pixbuf-2.0.so.0
only 1 problem I can't find theese to install them.

how should I proceed?

notes:
Leadwerks is 32 bit engine

Code: Select all

uname -a
Linux military-N750JK 3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:11:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Last edited by MilitaryG on Mon Aug 18, 2014 4:01 am, edited 1 time in total.

User avatar
jesica
Level 9
Level 9
Posts: 2621
Joined: Sat Jul 18, 2009 3:54 am

Re: How to install some packages that I cannot find?

Post by jesica »

sudo apt-get update
sudo apt-get upgrade
./Launcher
sudo apt-get install unity-gtk2-module
mkdir -p badlib
cd badlib
wget "http://dk.archive.ubuntu.com/ubuntu/poo ... 4_i386.deb"
dpkg -x libpng12-0_1.2.46-3ubuntu4_i386.deb .
cd
LD_LIBRARY_PATH=badlib/lib/i386-linux-gnu/ ./Leadwerks
Image

Happy apt-get-ing!


Security is the separation of an asset from a threat.

User avatar
PatH57
Level 13
Level 13
Posts: 4572
Joined: Tue Mar 25, 2014 12:11 pm
Location: here and there

Re: How to install some packages that I cannot find?

Post by PatH57 »

Hi,

also from memory Leadwerks needs opengl 4.?

check

Code: Select all

inxi -Gxz
and look for GLX version.
People disagree with me. I just ignore them.
(Linus Torvalds, regarding the use of C++ for the Linux kernel.)

Please Add [Solved] to the topic-title of your first post when appropriate so others know they might find a solution here.

MilitaryG
Level 1
Level 1
Posts: 4
Joined: Thu Aug 07, 2014 1:49 pm

[SOLVED] How to install some packages that I cannot find?

Post by MilitaryG »

jesica wrote:sudo apt-get update
sudo apt-get upgrade
./Launcher
sudo apt-get install unity-gtk2-module
mkdir -p badlib
cd badlib
wget "http://dk.archive.ubuntu.com/ubuntu/poo ... 4_i386.deb"
dpkg -x libpng12-0_1.2.46-3ubuntu4_i386.deb .
cd
LD_LIBRARY_PATH=badlib/lib/i386-linux-gnu/ ./Leadwerks

works quite well except 1 thing I literally have to be in LE directory

LD_LIBRARY_PATH=badlib/lib/i386-linux-gnu/ ./Leadwerks
as first I thought it doesn't work as I did first command and last one in different dir but complete path to it

PS.
i'm not quite sure how to mark it solved

Post Reply

Return to “Newbie Questions”